#include <stdio.h>
#include <stdlib.h>

int abs(int a)
{
    if(a >= 0)
        return a;
    else
        return -a;
}

int main()
{
    int n, m;
    scanf("%ld", &n);
    scanf("%ld", &m);

    int a[n];
    for(int i = 0; i < n; i++)
        scanf("%ld", &a[i]);

    int b[m][2], rez = 0;
    for(int i = 0; i < m; i++)
    {
        scanf("%d", &b[i][0]);
        scanf("%d", &b[i][1]);

        rez += abs(a[b[i][0]-1] + a[b[i][1]-1]);
    }
    printf("%d", rez);
    return 0;
}